{% extends "base.html" %}
{% load static %}
{% block head %}
    <link rel="stylesheet" type="text/css" href= "{% static 'css/profilepage.css'%}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <script>
        var closeModal = function(event) {
            document.getElementById('id01').style.display='none';
        };
        var openModal = function(event) {
            document.getElementById('id01').style.display='block';
        };
        var generateImg = function(event) {
            fetchJSONFile('/static/img-name.json', function(data){
                var file_names = data.files;
                file_names.forEach((file_name) => {
                    var img = document.createElement("img");
                    img.src = "/static/img/" + file_name;
                    img.className = 'modal-img';
                    img.width = '250';
                    img.height ='250';
                    img.onclick = function() { selectImage(file_name);closeModal();};
                    var wrap = document.createElement('div');
                    wrap.className = 'modal-container';
                    wrap.appendChild(img);
                    var src = document.getElementById("modal-content");
                    src.appendChild(wrap);
                });
            });
        }
        var selectImage = function(image_name) {
            var field = document.getElementById("id_image_name");
            field.value = image_name;
            var img = document.getElementById("profile-pic");
            img.src = "/static/img/" + image_name;
        }
        function fetchJSONFile(path, callback) {
            var httpRequest = new XMLHttpRequest();
            httpRequest.onreadystatechange = function() {
                if (httpRequest.readyState === 4) {
                    if (httpRequest.status === 200) {
                        var data = JSON.parse(httpRequest.responseText);
                        if (callback) callback(data);
                    }
                }
            };
            httpRequest.open('GET', path);
            httpRequest.send(); 
        }
    </script>
{% endblock head %}

{% block navbar %}
    <header>
            <div class="header-right">
                <a href="/profile"><b>Your Profile</b></a>
            </div>
    </header> 
{% endblock navbar %}

{% block content %}
    <div class="form-container">
        <form method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            {{form.image_name.as_hidden}}
            <div class = "container" id = "image-box">
                <img id = "profile-pic" src="/static/img/{{form.image_name.value}}" class="rounded" wdith='250' height='250'>
                <button type="button" class="btn btn-secondary btn-sm" onclick='openModal()'>Change</button>
            </div>
            <div class="mb-3">
                <label for="id_name" class="form-label">Name</label>
                <input type="text" class="form-control" name="name" id="id_name"  maxlength="100" required="" value="{{ form.name.value }}">
            </div>
            <div class="mb-3">
                <label for="id_about" class="form-label">About</label>
                <textarea class="form-control" name="about" id="id_about" rows="9" required="" >{{form.about.value}}</textarea>
            </div>
            <button type="submit" class="btn btn-secondary">Submit</button>
        </form>
    </div>

    

    <div id="id01" class="modal" tabindex="-1" role="dialog" aria-labelledby="..." aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-body" id="modal-content">
                </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" onclick='closeModal()'>Cancel</button>
            </div>
        </div>
    </div>

    <script> generateImg(); </script>
{% endblock content %}
